.profile-buttons {

  &__avatar {
    position: relative;
    width: auto;
    margin-top: 1rem;
    word-wrap: break-word;
    width: 95vw;
    margin-bottom: 4.375rem;
  }
  &__list {
    max-width: rem(500px);
    margin-bottom: rem(70px);
    &-link {
      &:hover {
        color: inherit;
        text-decoration: none;
      }
    }
  }
  &__bottom-btns {
    position: fixed;
    width: 100%;
    bottom: 0px;
    & > button {
      width: 50%;
      height: 100%;
    }
    & > .button-sample:hover {
      opacity: 1;
    }
    & > .button-sample:focus {
      opacity: 1;
    }
  }
  &__left-button {
    position: absolute;
    right: 0px;
  }
  &__checkbox {
    background-color: $primary;
    justify-content: center;
    height: rem(45px);
    align-items: center;
    display: flex;
    font-size: .85rem;
    padding: 1.5rem 2rem;
    position: relative;
    transition: background .2s;
    width: 100%;
  }
  &__filters-selected {
    background: $dark;
    color: $primary;
  }
  &__toggle-button  {
    background-color: transparent;
    border: rem(1px) solid black;
    width: 100%;
    height: rem(50px);
    display: flex;
    align-items: center;
    justify-content: center;
    .icon {
      width: 50%;
      height: 50%;
      fill: black;
    }
    & svg {
      position: initial;
      fill: $primary;
      color:white;
    }
    &--corporative-bg {
      border: none;
      background-color: $color-corporative;
      .icon {
        fill: $dark;
      }
    }
    &:hover {
      background-color: $dark;
      .icon {
      fill: $white;

      }
    }
  }
  &__edit-button  {
    background-color: transparent;
    border: rem(1px) solid black;
    font-size: .95rem;
    width: 100%;
    height: rem(50px);
    display: flex;
    align-items: center;
    justify-content: center;
    text-decoration: none !important;

    .icon {
    }
    &:hover {
      background-color: $dark;
      color: white;
      cursor: pointer;
    }
  }

  &__like-block  {
    display: flex;
    .icon {
    }
    &:hover {
    }
  }

  .active {
    background-color: $dark;
    color: white;
    cursor: pointer;
  }

}



@media screen and (min-width: 992px) {
  .profile-buttons {
    height: auto;
    &__avatar {
      position: absolute;
      width: calc((100% - 500px) / 2);
      right: calc(((100% - 500px) / 2) + 500px);
      min-height: calc(100% - 106px);
      max-width: rem(325px);
      word-wrap: break-word;
    }
    &__list {
      margin-top: rem(80px);
      min-height: calc(100% - 472px);
    }

    .buttons-filters {
      padding: 0 rem(15px);
    }

    &__bottom-btns {
      & > .button-sample:hover {
        opacity: 0.7;
      }
      & > .button-sample:focus {
        opacity: 1;
      }
    }
  }
}
